# Reference

{% hint style="warning" %}
Consult the [Merchant API](https://developers.payrexx.com/reference/rest-api#/) for more information.
{% endhint %}

| Endpoint                                                                                             | NexGo | Description                                                      |
| ---------------------------------------------------------------------------------------------------- | ----- | ---------------------------------------------------------------- |
| **PAIRING**                                                                                          |       |                                                                  |
| [pair `GET`](https://developers.payrexx.com/reference/get-terminal-pairing#/)                        | ✅     | Gets the pairing status for a specific terminal by serial number |
| [pair `POST`](https://developers.payrexx.com/reference/pair-terminal#/)                              | ✅     | Pairs the terminal to the serialnumber for further processing    |
| [pair `DELETE`](https://developers.payrexx.com/reference/unpair-terminal#/)                          | ✅     | Frees the Terminal from the API pairing                          |
| **PAYMENT**                                                                                          |       |                                                                  |
| [payment `GET`](https://developers.payrexx.com/reference/get-terminal-payment#/)                     | ✅     | retrieves a POS-Terminal payment by id                           |
| [payment `POST`](https://developers.payrexx.com/reference/initiate-terminal-payment#/)               | ✅     | Sends a Payment request to the POS-Terminal                      |
| [payment/cancel `POST`](https://developers.payrexx.com/reference/cancel-terminal-payment#/)          | ✅     | Cancels an ongoing POS-Terminal payment by id                    |
| [payment/void `POST`](https://developers.payrexx.com/reference/void-terminal-payment#/)              | ✅     | Voids a past POS-Terminal payment by id                          |
| payment/refund `POST`                                                                                | ❌     | Refunds a POS-Terminal payment by id                             |
| **ADDITIONAL**                                                                                       |       |                                                                  |
| [paymentMethods `POST`](https://developers.payrexx.com/reference/get-pament-methods-from-terminal#/) | ✅     | retrieves payment options on the POS-Terminal                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payrexx.com/developer/ecr-information/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
